div.material-data-table {
    padding: 0;
}

div.material-data-table .hiddensearch {
    padding: 0 14px 0 24px;
    border-bottom: solid 1px #DDDDDD;
    display: none;
}

div.material-data-table .hiddensearch input {
    margin: 0;
    border: transparent 0 !important;
    height: 48px;
    color: rgba(0, 0, 0, .84);
}

div.material-data-table .hiddensearch input:active {
    border: transparent 0 !important;
}

div.material-data-table table {
    table-layout: fixed;
}

div.material-data-table .table-header {
    height: 64px;
    padding-left: 24px;
    padding-right: 14px;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    display: flex;
    -webkit-display: flex;
    border-bottom: solid 1px #DDDDDD;
}

div.material-data-table .table-header .actions {
    display: -webkit-flex;
    margin-left: auto;
}

div.material-data-table .table-header .btn-flat {
    min-width: 36px;
    padding: 0 8px;
}

div.material-data-table .table-header input {
    margin: 0;
    height: auto;
}

div.material-data-table .table-header i {
    color: rgba(0, 0, 0, 0.54);
    font-size: 24px;
}

div.material-data-table .table-footer {
    height: 56px;
    padding-left: 24px;
    padding-right: 14px;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: row;
    flex-direction: row;
    -webkit-justify-content: flex-end;
    justify-content: flex-end;
    -webkit-align-items: center;
    align-items: center;
    font-size: 12px !important;
    color: rgba(0, 0, 0, 0.54);
}

div.material-data-table .table-footer .dataTables_length {
    display: -webkit-flex;
    display: flex;
}

div.material-data-table .table-footer label {
    font-size: 12px;
    color: rgba(0, 0, 0, 0.54);
    display: flex;
    flex-direction: row;
    -webkit-flex-direction: row;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
}

div.material-data-table .table-footer .select-wrapper {
    display: flex;
    flex-direction: row;
    -webkit-flex-direction: row;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
}

div.material-data-table .table-footer .dataTables_info,
div.material-data-table .table-footer .dataTables_length {
    margin-right: 32px;
}

div.material-data-table .table-footer .material-pagination {
    display: flex;
    -webkit-display: flex;
    margin: 0;
}

div.material-data-table .table-footer .material-pagination li:first-child {
    margin-right: 24px;
}

div.material-data-table .table-footer .material-pagination li a {
    color: rgba(0, 0, 0, 0.54);
}

div.material-data-table .table-footer .select-wrapper input.select-dropdown {
    margin: 0;
    border-bottom: none;
    height: auto;
    line-height: normal;
    font-size: 12px;
    width: 40px;
    text-align: right;
}

div.material-data-table .table-footer select {
    background-color: transparent;
    width: auto;
    padding: 0;
    border: 0;
    border-radius: 0;
    height: auto;
    margin-left: 20px;
}

div.material-data-table .table-title {
    font-size: 1.2rem;
    color: #000;
}

div.material-data-table table tr td {
    padding: 0 0 0 56px;
    height: 48px;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.87);
    border-bottom: solid 1px #DDDDDD;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

div.material-data-table table tr td a {
    color: inherit;
}

/* div.material-data-table table tr td a i {
    font-size: 18px;
    color: rgba(0, 0, 0, 0.54);
} */

div.material-data-table table tr {
    font-size: 12px;
}

div.material-data-table table th {
    font-size: 14px;
    font-weight: 500;
    color: #757575;
    cursor: pointer;
    white-space: nowrap;
    padding: 0;
    height: 56px;
    padding-left: 56px;
    vertical-align: middle;
    outline: none !important;
}

div.material-data-table table th.sorting_asc,
div.material-data-table table th.sorting_desc {
    color: rgba(0, 0, 0, 0.87);
}

div.material-data-table table th.sorting:after,
div.material-data-table table th.sorting_asc:after,
div.material-data-table table th.sorting_desc:after {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 16px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    word-wrap: normal;
    font-feature-settings: 'liga';
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
    content: "arrow_back";
    transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    display: none;
    vertical-align: middle;
}

div.material-data-table table th.sorting:hover:after,
div.material-data-table table th.sorting_asc:after,
div.material-data-table table th.sorting_desc:after {
    display: inline-block;
}

div.material-data-table table th.sorting_desc:after {
    content: "arrow_forward";
}

div.material-data-table table tbody tr:hover {
    background-color: #EEE;
}

div.material-data-table table th:first-child,
div.material-data-table table td:first-child {
    padding: 0 0 0 24px;
}

div.material-data-table table th:last-child,
div.material-data-table table td:last-child {
    padding: 0 14px 0 0;
}
